#include "back.h"
#include <stdlib.h> 
/*
This is an asynchronous call, the client sends over its hostname,
after receiving the request, the server reply back to the client
immediately.  Then client and server reverse their roles,
the server make the RPC returnQuote() to send the result to the
client, who is supposed to acting as a BACK server waiting for the result.
*/

void getQuote(char* caller_host, char Ticker[8]) {

		stkQuote quote;

		printf("Called by %s\n", caller_host);
		printf("sleep for a while ....\n");

		sleep(6);

		if(!back_bind(caller_host, 0, 0, 0)) {
				printf("client is not there!\n");
				return ;
		}

		strcpy(quote.Ticker, Ticker);

		/* find the quotes */
		quote.Low=rand()%100;
		quote.High=rand()%100;
		quote.Close=rand()%100;
		printf("now sending back quote ....\n");
		printf("%s %f %f %f\n", quote.Ticker,
		       quote.Low, quote.High, quote.Close);

		returnQuote(&quote);

		back_unbind(0);
}

