/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef BUF_1_H
#define BUF_1_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
#define READBUF  (unsigned long)(1)
#define BUF_1  (unsigned long)(1)
#define BUF  (unsigned long)(4660)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct readbuf_in_t{
	int	len;
}readbuf_in_t;

typedef struct readbuf_out_t{
	int	len;
	char*	buf;
	int	_pwrpc_return_;
}readbuf_out_t;

bool_t xdr_readbuf_in_t(XDR*, struct readbuf_in_t*);
bool_t xdr_readbuf_out_t(XDR*, struct readbuf_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int	readbuf_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct readbuf_in_t* pIn, struct readbuf_out_t* pOut);
#define BUF_1_HANDLE BUF_1_handle
#define BUF_1_TIMEOUT BUF_1_timeout

#endif


#ifdef POWERRPC_SERVER

int	malloc_readbuf_out_t(struct readbuf_out_t* pVar);
void	mfree_readbuf_out_t(struct readbuf_out_t* pVar);
void*	readbuf_call(struct readbuf_in_t* pIn, struct readbuf_out_t* pOut);
void buf_1(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 int	readbuf(char*	buf, int	len);

 CLIENT*	buf_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	buf_unbind(CLIENT* pclnt);
 void	buf_bind_handle(CLIENT* pclnt);
 enum clnt_stat	buf_errno(CLIENT* pclnt);

 SVCXPRT*	buf_1_reg(int sock, unsigned long prog_no, unsigned long ver, int proto);
 void	buf_1_unmap(unsigned long prog_no, unsigned long ver);
 void	buf_1_main(int argc, char ** argv);

#include <powerrpc.h>
#endif
