/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef TA_2_H
#define TA_2_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
typedef int	aof_10int_[10];

typedef struct{
	int	dim1;
	int	dim2;
	aof_10int_	array[10];
}vararray;

typedef struct{
	int	len;
	int*	array;
}varintarr;

bool_t xdr_aof_10int_(XDR*, aof_10int_*);

#define aof_10int__freeres( paof_10int_ ) \
 do { if(paof_10int_) xdr_free ( (xdrproc_t)xdr_aof_10int_,(char*)paof_10int_);}while(0)

bool_t xdr_vararray(XDR*, vararray*);

#define vararray_freeres( pvararray ) \
 do { if(pvararray) xdr_free ( (xdrproc_t)xdr_vararray,(char*)pvararray);}while(0)

bool_t xdr_varintarr(XDR*, varintarr*);

#define varintarr_freeres( pvarintarr ) \
 do { if(pvarintarr) xdr_free ( (xdrproc_t)xdr_varintarr,(char*)pvarintarr);}while(0)

#define SEND_ARRAY  (unsigned long)(1)
#define GET_ARRAY  (unsigned long)(2)
#define SEND_VARRAY  (unsigned long)(3)
#define SEND_V2  (unsigned long)(4)
#define TA_2  (unsigned long)(2)
#define TA  (unsigned long)(18228)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct send_array_in_t{
	vararray	twod;
}send_array_in_t;

typedef struct get_array_out_t{
	vararray*	twod;
}get_array_out_t;

typedef struct send_varray_in_t{
	varintarr	varr;
}send_varray_in_t;

typedef struct send_v2_in_t{
	int	len;
	int*	varr;
}send_v2_in_t;

bool_t xdr_send_array_in_t(XDR*, struct send_array_in_t*);
bool_t xdr_get_array_out_t(XDR*, struct get_array_out_t*);
bool_t xdr_send_varray_in_t(XDR*, struct send_varray_in_t*);
bool_t xdr_send_v2_in_t(XDR*, struct send_v2_in_t*);

#endif


#ifdef POWERRPC_CLIENT

int	send_array_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct send_array_in_t* pIn);
int	get_array_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct get_array_out_t* pOut);
int	send_varray_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct send_varray_in_t* pIn);
int	send_v2_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct send_v2_in_t* pIn);
#define TA_2_HANDLE TA_2_handle
#define TA_2_TIMEOUT TA_2_timeout

#endif


#ifdef POWERRPC_SERVER

void	send_array_call(struct send_array_in_t* pIn);
int	malloc_get_array_out_t(struct get_array_out_t* pVar);
void	mfree_get_array_out_t(struct get_array_out_t* pVar);
void	get_array_call(struct get_array_out_t* pOut);
void	send_varray_call(struct send_varray_in_t* pIn);
void	send_v2_call(struct send_v2_in_t* pIn);
void ta_2(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 void	send_array(vararray	twod);
 void	get_array(vararray*	twod);
 void	send_varray(varintarr	varr);
 void	send_v2(int*	varr, int	len);

 CLIENT*	ta_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	ta_unbind(CLIENT* pclnt);
 void	ta_bind_handle(CLIENT* pclnt);
 enum clnt_stat	ta_errno(CLIENT* pclnt);

 SVCXPRT*	ta_2_reg(int sock, unsigned long prog_no, unsigned long ver, int proto);
 void	ta_2_unmap(unsigned long prog_no, unsigned long ver);
 void	ta_2_main(int argc, char ** argv);

#include <powerrpc.h>
#endif
