/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#include "ta.h"
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
bool_t xdr_aof_10int_(XDR*xdrp, aof_10int_* paof_10int_){
	{
	unsigned int maxlen = 10;
	if(!xdr_vector(xdrp, (char*)paof_10int_, maxlen, sizeof(int), (xdrproc_t)xdr_int))
		return 0;
	}
		return 1;
}


bool_t xdr_vararray(XDR*xdrp, vararray* pvararray){

	if(!xdr_int(xdrp, &pvararray->dim1))
		return 0;
	if(!xdr_int(xdrp, &pvararray->dim2))
		return 0;
	{
	unsigned int maxlen = 10;
	maxlen = pvararray->dim1;
	if(!xdr_u_int(xdrp, &maxlen))
		return 0;
	if(!xdr_vector(xdrp, (char*)pvararray->array, maxlen, sizeof(aof_10int_), (xdrproc_t)xdr_aof_10int_))
		return 0;
	}

	return 1;
}


bool_t xdr_varintarr(XDR*xdrp, varintarr* pvarintarr){

	if(!xdr_int(xdrp, &pvarintarr->len))
		return 0;
	{
	unsigned int len; 
	unsigned int maxlen = pvarintarr->len;
	if(xdrp->x_op != XDR_DECODE)
		len = pvarintarr->len;
	if(!xdr_array(xdrp, (char**)&pvarintarr->array, &len, maxlen, sizeof(int), (xdrproc_t)xdr_int))
		return 0;
	}

	return 1;
}


bool_t xdr_send_array_in_t(XDR*xdrp, struct send_array_in_t* psend_array_in_t){

	if(!xdr_vararray(xdrp, &psend_array_in_t->twod))
		return 0;

	return 1;
}


bool_t xdr_get_array_out_t(XDR*xdrp, struct get_array_out_t* pget_array_out_t){

	if(!xdr_pointer(xdrp, (char**)&pget_array_out_t->twod, sizeof(vararray), (xdrproc_t)xdr_vararray))
		return 0;

	return 1;
}


bool_t xdr_send_varray_in_t(XDR*xdrp, struct send_varray_in_t* psend_varray_in_t){

	if(!xdr_varintarr(xdrp, &psend_varray_in_t->varr))
		return 0;

	return 1;
}


bool_t xdr_send_v2_in_t(XDR*xdrp, struct send_v2_in_t* psend_v2_in_t){

	if(!xdr_int(xdrp, &psend_v2_in_t->len))
		return 0;
	{
	unsigned int len; 
	unsigned int maxlen = psend_v2_in_t->len;
	if(xdrp->x_op != XDR_DECODE)
		len = psend_v2_in_t->len;
	if(!xdr_array(xdrp, (char**)&psend_v2_in_t->varr, &len, maxlen, sizeof(int), (xdrproc_t)xdr_int))
		return 0;
	}

	return 1;
}

