#include "quote.h"
#include <stdio.h>

main(int argc, char **argv)
{
    stkQuote        quote;

    if (argc < 3) {
        printf("Usage: %s server_host ticker\n", argv[0]);
        exit(0);
    }
    if (quote_bind(argv[1], 0, 0, 0) == NULL) {
        printf("fail connect to server\n");
        exit(0);
    }
    strcpy(quote.Ticker, argv[2]);
    if (getQuote(&quote)) {
        printf("Fail get quote\n");
    } else {
        printf("quote: Ticker = %s, Low = %f, High= %f, Close = %f\n",
               quote.Ticker, quote.Low, quote.High, quote.Close
            );
    }
    quote_unbind(0);
}
