/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996-2003  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "quote.h"
static char *version_str="@(#)powerRPC V1.5 MxTF! system: Linux";
;
CLIENT* QUOTE_1_handle = 0;
struct timeval QUOTE_1_timeout = {60, 0};
int getQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct getQuote_in_t* pIn, struct getQuote_out_t* pOut){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     GETQUOTE,
	                     (xdrproc_t)xdr_getQuote_in_t,
	                     (void*)pIn,
	                     (xdrproc_t)xdr_getQuote_out_t,
	                     (void*)pOut,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
#if PW_NO_SUPRESS_CLNT_ERROR
		clnt_perror(pclnt,"getQuote");
#endif
	}
	return ret_code;
}

int getQuote(stkQuote* quote){
	getQuote_in_t	Input;
	getQuote_out_t	Output;

	struct timeval timeOut;
	memset(&Output, 0, sizeof(Output));
	Input.quote = quote;
		Output.quote = quote;

	timeOut = QUOTE_1_TIMEOUT;
	clnt_control(QUOTE_1_HANDLE,CLSET_TIMEOUT, (char*)&timeOut);
	getQuote_wrap(QUOTE_1_HANDLE, &timeOut, &Input,	&Output);

	return Output._pwrpc_return_;
}

CLIENT*	quote_bind(const char* host, u_long prog, u_long ver,char* proto) {
	CLIENT* pclnt = 0;
	char * protoc = "tcp";
	ver = (ver==0? QUOTE_1 : ver);
	prog = (prog==0? QUOTE : prog );
	protoc = (proto==(char*)0? protoc : proto);
	pclnt = clnt_create(host, prog, ver, protoc);
	QUOTE_1_SET_HANDLE(pclnt);;
	return pclnt;;
}

void	quote_bind_handle(CLIENT* pclnt){
	QUOTE_1_handle = pclnt;
}

void	quote_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? QUOTE_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

enum clnt_stat	quote_errno(CLIENT* pclnt) {
	return pw_clnt_errno(pclnt?pclnt:QUOTE_1_HANDLE);
}

