/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996-2003  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/

#include "rfileClient.hpp"

rFILE* Crfile_5::rfopen(str1024 filename, str1024 mode){
	rfopen_in_t	Input;
	rfopen_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Input.filename = filename;
	Input.mode = mode;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rfopen_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

int Crfile_5::rfread(void* ptr, size_T size, size_T nm, rFILE* stream){
	rfread_in_t	Input;
	rfread_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Output.ptr = ptr;
	Input.size = size;
	Input.nm = nm;
	Input.stream = stream;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rfread_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

int Crfile_5::rfwrite(const void* ptr, size_T size, size_T nm, rFILE* stream){
	rfwrite_in_t	Input;
	rfwrite_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Input.ptr = ptr;
	Input.size = size;
	Input.nm = nm;
	Input.stream = stream;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rfwrite_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

int Crfile_5::rfclose(rFILE* stream){
	rfclose_in_t	Input;
	rfclose_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Input.stream = stream;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rfclose_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

int Crfile_5::rlistdir(str1024 path, DENTRY* out){
	rlistdir_in_t	Input;
	rlistdir_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Input.path = path;
	Output.out = out;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rlistdir_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

int Crfile_5::rchdir(str1024 path){
	rchdir_in_t	Input;
	rchdir_out_t	Output;

	memset(&Output, 0, sizeof(Output));
	Input.path = path;

	clnt_control(clnt,CLSET_TIMEOUT, (char*)&this->timeout);
	rchdir_wrap(clnt, &this->timeout, &Input,	&Output);

	return Output._pwrpc_return_;
}

CLIENT* Crfile_5::bind(const char* host, char*proto, u_long prog, u_long ver){

	char * protoc = "tcp";
	ver = (ver==0? RFILE_5 : ver);
	prog = (prog==0? RFILE : prog );
	protoc = (proto==(char*)0? protoc : proto);
	this->create2(host, prog, ver, protoc,5431, 0, 0);
	return clnt;;
}

