/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "ii.h"
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
CLIENT* II_1_handle = 0;
struct timeval II_1_timeout = {60, 0};
int	f1_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct f1_out_t* pOut){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F1,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_f1_out_t,
	                     (void*)pOut,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f1");
	}
	return ret_code;
}

int	f1(){
	f1_out_t	Output;

	struct timeval timeOut;
	memset(&Output, 0, sizeof(Output));

	timeOut = II_1_TIMEOUT;
	f1_wrap(II_1_HANDLE, &timeOut,	&Output);

	return Output._pwrpc_return_;
}

int	f2_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F2,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f2");
	}
	return ret_code;
}

void	f2(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f2_wrap(II_1_HANDLE, &timeOut);

}

int	f3_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F3,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f3");
	}
	return ret_code;
}

void	f3(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f3_wrap(II_1_HANDLE, &timeOut);

}

int	f4_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F4,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f4");
	}
	return ret_code;
}

void	f4(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f4_wrap(II_1_HANDLE, &timeOut);

}

int	f5_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F5,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f5");
	}
	return ret_code;
}

void	f5(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f5_wrap(II_1_HANDLE, &timeOut);

}

int	f6_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F6,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f6");
	}
	return ret_code;
}

void	f6(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f6_wrap(II_1_HANDLE, &timeOut);

}

int	f7_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F7,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f7");
	}
	return ret_code;
}

void	f7(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f7_wrap(II_1_HANDLE, &timeOut);

}

int	f9_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F9,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f9");
	}
	return ret_code;
}

void	f9(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f9_wrap(II_1_HANDLE, &timeOut);

}

int	f10_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F10,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f10");
	}
	return ret_code;
}

void	f10(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f10_wrap(II_1_HANDLE, &timeOut);

}

int	f11_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F11,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f11");
	}
	return ret_code;
}

void	f11(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f11_wrap(II_1_HANDLE, &timeOut);

}

int	f12_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F12,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f12");
	}
	return ret_code;
}

void	f12(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f12_wrap(II_1_HANDLE, &timeOut);

}

int	f13_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F13,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f13");
	}
	return ret_code;
}

void	f13(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f13_wrap(II_1_HANDLE, &timeOut);

}

int	f14_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F14,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f14");
	}
	return ret_code;
}

void	f14(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f14_wrap(II_1_HANDLE, &timeOut);

}

int	f15_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F15,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f15");
	}
	return ret_code;
}

void	f15(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f15_wrap(II_1_HANDLE, &timeOut);

}

int	f16_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F16,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f16");
	}
	return ret_code;
}

void	f16(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f16_wrap(II_1_HANDLE, &timeOut);

}

int	f17_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     F17,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"f17");
	}
	return ret_code;
}

void	f17(){

	struct timeval timeOut;

	timeOut = II_1_TIMEOUT;
	f17_wrap(II_1_HANDLE, &timeOut);

}

CLIENT*	ii_bind(const char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "tcp";
	ver = (ver==0? II_1 : ver);
	prog = (prog==0? II : prog );
	protoc = (proto==(char*)0? protoc : proto);
	II_1_handle = clnt_create(host, prog, ver, protoc);
	return II_1_handle;
}

void	ii_bind_handle(CLIENT* pclnt){
	II_1_handle = pclnt;
}

void	ii_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? II_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

enum clnt_stat	ii_errno(CLIENT* pclnt) {
	return pw_clnt_errno(pclnt?pclnt:II_1_HANDLE);
}

