/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_SERVER
#include "ii.h"
#include <rpc/pmap_clnt.h>
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
static SVCXPRT* tcp_master = 0;
static SVCXPRT* udp_master = 0;

static void no_op(void*p) {}

void ii_1(struct svc_req* rqstp,SVCXPRT* txp){

	union {
		int	__pwrpc_dummy___;
	}RPC_over;

	union {
		f1_out_t	f1_BACK;
		int	__pwrpc_dummy___;
	}RPC_back;

	pwrpc_call_struct callInfo;
	callInfo.ptransport = txp;
	callInfo.pover = (caddr_t)&RPC_over;
	callInfo.pback = (caddr_t)&RPC_back;
	callInfo.reply_now = 0;
	callInfo.mt_on_call = 0;
	callInfo.free_after = 0;
	callInfo.psvc_req = rqstp;
	callInfo.proc = 0;


	switch (rqstp->rq_proc) {
	case NULLPROC:
		svc_sendreply(txp, (xdrproc_t)xdr_void, 0);
		return;

	case F1:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_f1_out_t;
		callInfo.over_size = 0;
		callInfo.back_size = sizeof(f1_out_t);
		callInfo.local = (local_call_t)f1_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F2:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f2_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F3:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f3_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F4:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f4_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F5:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f5_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F6:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f6_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F7:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f7_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F9:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f9_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F10:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f10_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F11:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f11_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F12:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f12_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F13:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f13_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F14:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f14_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F15:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f15_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F16:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f16_call;
		callInfo.free_after = (free_call_t)0;
		break;

	case F17:
		callInfo.xdr_over = (xdrproc_t) xdr_void;
		callInfo.xdr_back = (xdrproc_t) xdr_void;
		callInfo.over_size = 0;
		callInfo.back_size = 0;
		callInfo.local = (local_call_t)f17_call;
		callInfo.free_after = (free_call_t)0;
		break;

	default:
		svcerr_noproc(txp);
		return;
	}

	pw_serv_call(&callInfo);

}

SVCXPRT*	ii_1_reg(int sock, unsigned long prog_no, unsigned long ver, int proto) {
	int prot = 0;
	SVCXPRT * txp =0;

	if(proto==IPPROTO_TCP) {
		tcp_master = svctcp_create(sock, 0, 0);
		if(tcp_master==NULL) {
			server_err("fail creating TCP server transport!\n");
			return (SVCXPRT*)0;
		}
	}
	if(proto==IPPROTO_UDP) {
		udp_master = svcudp_create(sock);
		if(udp_master==NULL) {
		server_err("fail creating UDP server transport!\n");
			return (SVCXPRT*)0;
		}
	}
	prot = sock==0 ? 0 : proto;
	prog_no = prog_no == 0? II : prog_no;
	ver  = ver == 0? II_1 : ver;
	txp = proto==IPPROTO_TCP? tcp_master : udp_master;
	if (!svc_register(txp, prog_no, ver, ii_1, prot)) {
		server_err("Fail to register server!\n");
		return (SVCXPRT*)0;
	}
	return txp;
}

void	ii_1_unmap(unsigned long prog_no, unsigned long ver) {
	 pmap_unset(
	                prog_no==0? II: prog_no,
	                ver==0? II_1: ver
	               );
}


void	ii_1_main(int argc, char ** argv) {
	int sock = RPC_ANYSOCK;

	unsigned long prog_no=0;

	int fork_connect = 0;
	int exit_idle = 1;

	if(sock!=0)
		pmap_unset(II, II_1);

	pw_serv_init();

	if(!ii_1_reg(sock, 0, 0, IPPROTO_TCP))
		server_exit(1);
	server_msg("TCP server registered.\n");
	if(!ii_1_reg(sock, 0, 0, IPPROTO_UDP))
		server_exit(1);
	server_msg("UDP server registered.\n");

	pw_serv_mainloop(tcp_master, udp_master, fork_connect, exit_idle);
}

int	main(int argc, char**argv){
			ii_1_main(argc, argv);
			return 0;
}

void	f1_call(struct f1_out_t* pOut){
	memset(pOut, 0, sizeof(f1_out_t));

	pOut->_pwrpc_return_ =
	f1(

	);
}


void	f2_call(){

	f2(

	);
}


void	f3_call(){

	f3(

	);
}


void	f4_call(){

	f4(

	);
}


void	f5_call(){

	f5(

	);
}


void	f6_call(){

	f6(

	);
}


void	f7_call(){

	f7(

	);
}


void	f9_call(){

	f9(

	);
}


void	f10_call(){

	f10(

	);
}


void	f11_call(){

	f11(

	);
}


void	f12_call(){

	f12(

	);
}


void	f13_call(){

	f13(

	);
}


void	f14_call(){

	f14(

	);
}


void	f15_call(){

	f15(

	);
}


void	f16_call(){

	f16(

	);
}


void	f17_call(){

	f17(

	);
}


