/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef UN_1_H
#define UN_1_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
typedef struct{
	int	choice;
		union {
	int	aint;
	double	adouble;
	char	achar;
	}idc;

;
}TU;

bool_t xdr_TU(XDR*, TU*);

#define TU_freeres( pTU ) \
 do { if(pTU) xdr_free ( (xdrproc_t)xdr_TU,(char*)pTU);}while(0)

#define SEND_TU  (unsigned long)(1)
#define UN_1  (unsigned long)(1)
#define UN  (unsigned long)(39321)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct send_tu_in_t{
	TU*	io;
}send_tu_in_t;

typedef struct send_tu_out_t{
	TU*	io;
}send_tu_out_t;

bool_t xdr_send_tu_in_t(XDR*, struct send_tu_in_t*);
bool_t xdr_send_tu_out_t(XDR*, struct send_tu_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int	send_tu_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct send_tu_in_t* pIn, struct send_tu_out_t* pOut);
#define UN_1_HANDLE UN_1_handle
#define UN_1_TIMEOUT UN_1_timeout

#endif


#ifdef POWERRPC_SERVER

void	send_tu_call(struct send_tu_in_t* pIn, struct send_tu_out_t* pOut);
void un_1(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 void	send_tu(TU*	io);

 CLIENT*	un_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	un_unbind(CLIENT* pclnt);
 void	un_bind_handle(CLIENT* pclnt);
 enum clnt_stat	un_errno(CLIENT* pclnt);

 SVCXPRT*	un_1_reg(int sock, unsigned long prog_no, unsigned long ver, unsigned long proto);
 void	un_1_unmap(unsigned long prog_no, unsigned long ver);
 void	un_1_main(int argc, char ** argv);

#include <powerrpc.h>
#endif
