/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "vv.h"
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
CLIENT* VV_1_handle = 0;
struct timeval VV_1_timeout = {60, 0};
int	foo_wrap(CLIENT* pclnt, struct timeval* ptimeout){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     FOO,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
#if PW_NO_SUPRESS_CLNT_ERROR
		clnt_perror(pclnt,"foo");
#endif
	}
	return ret_code;
}

void	foo(){

	struct timeval timeOut;

	timeOut = VV_1_TIMEOUT;
	foo_wrap(VV_1_HANDLE, &timeOut);

}

CLIENT*	vv_bind(const char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "tcp";
	ver = (ver==0? VV_1 : ver);
	prog = (prog==0? VV : prog );
	protoc = (proto==(char*)0? protoc : proto);
	VV_1_handle = clnt_create(host, prog, ver, protoc);
	return VV_1_handle;
}

void	vv_bind_handle(CLIENT* pclnt){
	VV_1_handle = pclnt;
}

void	vv_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? VV_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

enum clnt_stat	vv_errno(CLIENT* pclnt) {
	return pw_clnt_errno(pclnt?pclnt:VV_1_HANDLE);
}

