#include "over.h"
#include "back.h"
#include <signal.h>

main(int argc, char**argv) {
		char myhost[1024];
		if(argc<3) {
				printf("usage: %s hostname ticker\n", argv[0]);
				exit(1);
		}

		pw_serv_init();

     	back_1_unmap(0,0);


		if(!back_1_reg(RPC_ANYSOCK, BACK, BACK_1,IPPROTO_TCP)) {
				printf("fail registering \n");
				exit(0);
		}

		pw_serv_async_enable();

		if(!over_bind(argv[1], 0, 0, 0)) {
				printf("fail connect to OVER server.\n");
				exit(0);
		}

		gethostname(myhost, 1023);
		getQuote(myhost, argv[2]);
		printf("Returned from 1st getQuote... now do something else ..\n");
		getQuote(myhost, argv[2]);
		printf("Returned from 2st getQuote... now do something else ..\n");
		getQuote(myhost, argv[2]);
		printf("Returned from 3rd getQuote... now do something else ..\n");

		while(1) {
				printf("happily doing ....\n");
				sleep(10);
		}
}




