/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "buf.h"
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
CLIENT* BUF_1_handle = 0;
struct timeval BUF_1_timeout = {60, 0};
int	readbuf_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct readbuf_in_t* pIn, struct readbuf_out_t* pOut){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     READBUF,
	                     (xdrproc_t)xdr_readbuf_in_t,
	                     (void*)pIn,
	                     (xdrproc_t)xdr_readbuf_out_t,
	                     (void*)pOut,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
#if PW_NO_SUPRESS_CLNT_ERROR
		clnt_perror(pclnt,"readbuf");
#endif
	}
	return ret_code;
}

int	readbuf(char*	buf, int	len){
	readbuf_in_t	Input;
	readbuf_out_t	Output;

	struct timeval timeOut;
	memset(&Output, 0, sizeof(Output));
	Output.buf = buf;
	Input.len = len;

	timeOut = BUF_1_TIMEOUT;
	clnt_control(BUF_1_HANDLE,CLSET_TIMEOUT, &timeOut);
	readbuf_wrap(BUF_1_HANDLE, &timeOut, &Input,	&Output);

	return Output._pwrpc_return_;
}

CLIENT*	buf_bind(const char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "tcp";
	ver = (ver==0? BUF_1 : ver);
	prog = (prog==0? BUF : prog );
	protoc = (proto==(char*)0? protoc : proto);
	BUF_1_handle = clnt_create(host, prog, ver, protoc);
	return BUF_1_handle;
}

void	buf_bind_handle(CLIENT* pclnt){
	BUF_1_handle = pclnt;
}

void	buf_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? BUF_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

enum clnt_stat	buf_errno(CLIENT* pclnt) {
	return pw_clnt_errno(pclnt?pclnt:BUF_1_HANDLE);
}

