/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996-2003  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef QUOTE_1_H
#define QUOTE_1_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
#ifdef __cplusplus
extern "C" {
#endif
typedef struct{
	char Ticker[5];
	double Low;
	double High;
	double Close;
}stkQuote;

bool_t xdr_stkQuote(XDR*, stkQuote*);

#define stkQuote_freeres( pstkQuote ) \
 do { if(pstkQuote) xdr_free ( (xdrproc_t)xdr_stkQuote,(char*)pstkQuote);}while(0)

#define GETQUOTE  (unsigned long)(1)
#define QUOTE_1  (unsigned long)(1)
#define QUOTE  (unsigned long)(12345)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct getQuote_in_t{
	stkQuote* quote;
}getQuote_in_t;

typedef struct getQuote_out_t{
	stkQuote* quote;
	int _pwrpc_return_;
}getQuote_out_t;

bool_t xdr_getQuote_in_t(XDR*, struct getQuote_in_t*);
bool_t xdr_getQuote_out_t(XDR*, struct getQuote_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int getQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct getQuote_in_t* pIn, struct getQuote_out_t* pOut);
#define QUOTE_1_HANDLE QUOTE_1_handle
#define QUOTE_1_SET_HANDLE quote_bind_handle
#define QUOTE_1_TIMEOUT QUOTE_1_timeout

#endif


#ifdef POWERRPC_SERVER

void* getQuote_call(struct getQuote_in_t* pIn, struct getQuote_out_t* pOut);
void quote_1(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 int getQuote(stkQuote* quote);

 CLIENT*	quote_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	quote_unbind(CLIENT* pclnt);
 void	quote_bind_handle(CLIENT* pclnt);
 enum clnt_stat	quote_errno(CLIENT* pclnt);

 SVCXPRT*	quote_1_reg(int sock, unsigned long prog_no, unsigned long ver, int proto);
 void	quote_1_unmap(unsigned long prog_no, unsigned long ver);
 void	quote_1_main(int argc, char ** argv);

#include <powerrpc.h>
#ifdef __cplusplus
};
#endif


#endif
