/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996-2003  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef RFILE_5_H_CXX
#define RFILE_5_H_CXX
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "rfile.h"

#include <rpcclient.hpp>


class Crfile_5 : public RPCClient {
	public:

	Crfile_5(){}

	Crfile_5(const char*host, const char*proto, u_long prog=RFILE, u_long ver=RFILE_5)
		:RPCClient(host, proto, prog,ver){ }

	CLIENT* bind(const char* host, char*proto=0, u_long prog=RFILE, u_long ver=RFILE_5);
	rFILE* rfopen(str1024 filename, str1024 mode);
	int rfread(void* ptr, size_T size, size_T nm, rFILE* stream);
	int rfwrite(const void* ptr, size_T size, size_T nm, rFILE* stream);
	int rfclose(rFILE* stream);
	int rlistdir(str1024 path, DENTRY* out);
	int rchdir(str1024 path);


};


#endif
