/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "talk2.h"
static char *version_str="@(#)powerRPC V1.1 MxTF! system: Linux";
;
CLIENT* TALK2_1_handle = 0;
struct timeval TALK2_1_timeout = {60, 0};
int	send_msg_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct send_msg_in_t* pIn){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     SEND_MSG,
	                     (xdrproc_t)xdr_send_msg_in_t,
	                     (void*)pIn,
	                     (xdrproc_t)xdr_void,
	                     (void*)0,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
#if PW_NO_SUPRESS_CLNT_ERROR
		clnt_perror(pclnt,"send_msg");
#endif
	}
	return ret_code;
}

void	send_msg(u_long	sender_no, char*	sender_host, char*	sender_name, char*	msg){
	send_msg_in_t	Input;

	struct timeval timeOut;
	Input.sender_no = sender_no;
	Input.sender_host = sender_host;
	Input.sender_name = sender_name;
	Input.msg = msg;

	timeOut = TALK2_1_TIMEOUT;
	clnt_control(TALK2_1_HANDLE,CLSET_TIMEOUT, &timeOut);
	send_msg_wrap(TALK2_1_HANDLE, &timeOut, &Input);

}

CLIENT*	talk2_bind(const char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "udp";
	ver = (ver==0? TALK2_1 : ver);
	prog = (prog==0? TALK2 : prog );
	protoc = (proto==(char*)0? protoc : proto);
	TALK2_1_handle = clnt_create(host, prog, ver, protoc);
	return TALK2_1_handle;
}

void	talk2_bind_handle(CLIENT* pclnt){
	TALK2_1_handle = pclnt;
}

void	talk2_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? TALK2_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

enum clnt_stat	talk2_errno(CLIENT* pclnt) {
	return pw_clnt_errno(pclnt?pclnt:TALK2_1_HANDLE);
}

