/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef II_1_H
#define II_1_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
#define F1  (unsigned long)(1)
#define F2  (unsigned long)(2)
#define F3  (unsigned long)(3)
#define F4  (unsigned long)(4)
#define F5  (unsigned long)(5)
#define F6  (unsigned long)(6)
#define F7  (unsigned long)(7)
#define F9  (unsigned long)(8)
#define F10  (unsigned long)(9)
#define F11  (unsigned long)(10)
#define F12  (unsigned long)(11)
#define F13  (unsigned long)(12)
#define F14  (unsigned long)(13)
#define F15  (unsigned long)(14)
#define F16  (unsigned long)(15)
#define F17  (unsigned long)(16)
#define II_1  (unsigned long)(1)
#define II  (unsigned long)(291)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct f1_out_t{
	int	_pwrpc_return_;
}f1_out_t;

bool_t xdr_f1_out_t(XDR*, struct f1_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int	f1_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct f1_out_t* pOut);
int	f2_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f3_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f4_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f5_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f6_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f7_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f9_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f10_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f11_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f12_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f13_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f14_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f15_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f16_wrap(CLIENT* pclnt, struct timeval* ptimeout);
int	f17_wrap(CLIENT* pclnt, struct timeval* ptimeout);
#define II_1_HANDLE II_1_handle
#define II_1_TIMEOUT II_1_timeout

#endif


#ifdef POWERRPC_SERVER

void	f1_call(struct f1_out_t* pOut);
void	f2_call();
void	f3_call();
void	f4_call();
void	f5_call();
void	f6_call();
void	f7_call();
void	f9_call();
void	f10_call();
void	f11_call();
void	f12_call();
void	f13_call();
void	f14_call();
void	f15_call();
void	f16_call();
void	f17_call();
void ii_1(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 int	f1();
 void	f2();
 void	f3();
 void	f4();
 void	f5();
 void	f6();
 void	f7();
 void	f9();
 void	f10();
 void	f11();
 void	f12();
 void	f13();
 void	f14();
 void	f15();
 void	f16();
 void	f17();

 CLIENT*	ii_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	ii_unbind(CLIENT* pclnt);
 void	ii_bind_handle(CLIENT* pclnt);
 enum clnt_stat	ii_errno(CLIENT* pclnt);

 SVCXPRT*	ii_1_reg(int sock, unsigned long prog_no, unsigned long ver, int proto);
 void	ii_1_unmap(unsigned long prog_no, unsigned long ver);
 void	ii_1_main(int argc, char ** argv);

#include <powerrpc.h>
#endif
