/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#ifndef VV_1_H
#define VV_1_H
#define PORTMAP
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#include <string.h>
#define FOO  (unsigned long)(1)
#define VV_1  (unsigned long)(1)
#define VV  (unsigned long)(12345)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) pwrpc_report_event(x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) pwrpc_report_event(x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR


#endif


#ifdef POWERRPC_CLIENT

int	foo_wrap(CLIENT* pclnt, struct timeval* ptimeout);
#define VV_1_HANDLE VV_1_handle
#define VV_1_TIMEOUT VV_1_timeout

#endif


#ifdef POWERRPC_SERVER

void	foo_call();
void vv_1(struct svc_req* rqstp,SVCXPRT* txp);

#endif

 void	foo();

 CLIENT*	vv_bind(const char* host, u_long prog, u_long ver,char* proto);
 void	vv_unbind(CLIENT* pclnt);
 void	vv_bind_handle(CLIENT* pclnt);
 enum clnt_stat	vv_errno(CLIENT* pclnt);

 SVCXPRT*	vv_1_reg(int sock, unsigned long prog_no, unsigned long ver, int proto);
 void	vv_1_unmap(unsigned long prog_no, unsigned long ver);
 void	vv_1_main(int argc, char ** argv);

#include <powerrpc.h>
#endif
